---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 31
    AccountRefMonth: 03
    LastMadeUpDate: 31/03/2023
    NextDueDate: 31/12/2024
  CompanyCategory: Private Limited Company
  CompanyName: KMAC OILFIELD SOLUTIONS LIMITED
  CompanyNumber: SC222276
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 16/08/2001
  RegAddress:
    AddressLine1: ROWANBANK
    AddressLine2: CRAIGOUR ROAD
    PostTown: TORPHINS
    County: KINCARDINESHIRE
    Postcode: AB31 4HE
  Returns:
    LastMadeUpDate: 16/08/2023
    NextDueDate: 30/08/2024
  SICCodes:
    SicText:
      - '06100 - Extraction of crude petroleum'
